package io.hmit.modules.appointment.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 预约订单表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-02-13
 */
@Data
@ApiModel(value = "预约订单表")
public class AppointmentOrderDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "预约工单编号(自己系统留痕用)")
	private String orderNum;

	@ApiModelProperty(value = "预约取单号(取号系统生成)")
	private String appointmentNum;

	@ApiModelProperty(value = "预约工单状态 0未预约 ，1已预约  2已完成 3已取消")
	private Integer status;

	@ApiModelProperty(value = "预约工单状态名称")
	private String statusName;

	@ApiModelProperty(value = "预约所属的服务事项id")
	private Long serviceId;

	@ApiModelProperty(value = "预约所属的服务事项名称")
	private String serviceName;

	@ApiModelProperty(value = "是否浙里办预约 0否，1是")
	private Integer isApp;

	@ApiModelProperty(value = "预约订单所在队列id")
	private Long orderQueueId;

	@ApiModelProperty(value = "预约人")
	private String appointmentPerson;

	@ApiModelProperty(value = "预约人电话")
	private String appointmentPhone;

	@ApiModelProperty(value = "预约人身份证号码")
	private String appointmentIdCard;

	@ApiModelProperty(value = "预约时间")
	private Date appointmentTime;

	@ApiModelProperty(value = "服务办事窗口")
	private String serviceWindow;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "部门ID")
	private Long deptId;

	@ApiModelProperty(value = "创建者")
	private Long creator;

	@ApiModelProperty(value = "订单发起人")
	private String creatorName;

	@ApiModelProperty(value = "订单发起人联系电话")
	private String creatorTel;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	@ApiModelProperty(value = "更新者")
	private Long updater;

	@ApiModelProperty(value = "更新时间")
	private Date updateDate;


}