package io.hmit.modules.appointment.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 可供预约的服务事项种类(不确定是否数据落地)。
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-02-13
 */
@Data
@ApiModel(value = "可供预约的服务事项种类(不确定是否数据落地)。")
public class AppointmentServiceDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "服务事项名称")
	private String serviceName;

	@ApiModelProperty(value = "服务事项父类id")
	private Long serviceParentId;

	@ApiModelProperty(value = "排序")
	private Integer sort;

	@ApiModelProperty(value = "首页图标地址")
	private String icon;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "部门ID")
	private Long deptId;

	@ApiModelProperty(value = "创建者")
	private Long creator;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	@ApiModelProperty(value = "更新者")
	private Long updater;

	@ApiModelProperty(value = "更新时间")
	private Date updateDate;


}