package io.hmit.modules.appointment.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 预约订单表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-02-13
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("appointment_order")
public class AppointmentOrderEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 预约工单编号(自己系统留痕用)
     */
	private String orderNum;
    /**
     * 预约取单号(取号系统生成)
     */
	private String appointmentNum;
    /**
     * 预约工单状态 0未预约 ，1已预约  2已完成 3已取消
     */
	private Integer status;
    /**
     * 预约工单状态名称
     */
	private String statusName;
    /**
     * 预约所属的服务事项id
     */
	private Long serviceId;
    /**
     * 预约所属的服务事项名称
     */
	private String serviceName;
    /**
     * 是否浙里办预约 0否，1是
     */
	private Integer isApp;
    /**
     * 预约订单所在队列id
     */
	private Long orderQueueId;
    /**
     * 预约人
     */
	private String appointmentPerson;
    /**
     * 预约人电话
     */
	private String appointmentPhone;
    /**
     * 预约人身份证号码
     */
	private String appointmentIdCard;
    /**
     * 预约时间
     */
	private Date appointmentTime;
    /**
     * 服务办事窗口
     */
	private String serviceWindow;
    /**
     * 备注
     */
	private String remark;
    /**
     * 部门ID
     */
	private Long deptId;
    /**
     * 订单发起人
     */
	private String creatorName;
    /**
     * 订单发起人联系电话
     */
	private String creatorTel;
    /**
     * 更新者
     */
	private Long updater;
    /**
     * 更新时间
     */
	private Date updateDate;
}