package io.hmit.modules.appointment.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 可供预约的服务事项种类(不确定是否数据落地)。
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-02-13
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("appointment_service")
public class AppointmentServiceEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 服务事项名称
     */
	private String serviceName;
    /**
     * 服务事项父类id
     */
	private Long serviceParentId;
    /**
     * 排序
     */
	private Integer sort;
    /**
     * 首页图标地址
     */
	private String icon;
    /**
     * 备注
     */
	private String remark;
    /**
     * 部门ID
     */
	private Long deptId;
    /**
     * 更新者
     */
	private Long updater;
    /**
     * 更新时间
     */
	private Date updateDate;
}