package io.hmit.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户
 *
 * @author zsh 408538940@qq.com
 */
@Data
@TableName("tb_user")
public class UserEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    @TableId
    private Long id;
    /**
     * 关联sys_user中的id
     */
    private String userId;
    /**
     * 用户名
     */
    private String username;
    /**
     * 手机号
     */
    private String mobile;
    /**
     * 密码
     */
    @JSONField(serialize = false)
    private String password;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 头像图片路径
     */
    private String headUrl;
    /**
     * 生日
     */
    private Date birthday;
    /**
     * 详细地址
     */
    private String address;
    /**
     * 性别
     */
    private String gender;
    /**
     * 手机号
     */
    private String idCardNo;

}
